/*     
 *  This file is part of DEW browser.
 *  Copyright (C) 2023 Woohyun Joh 
 *
 *  DEW browesr is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 *  published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  DEW browesr is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

pub const OPCODE_SIZE: usize = 4;
pub const OPERAND_SIZE: usize = 12;

pub const NEW: u16 = 0x0;
pub const POP: u16 = 0x1;
pub const IMD: u16 = 0x2;
pub const VAR: u16 = 0x3;
pub const EFN: u16 = 0x4;
pub const IFN: u16 = 0x5;
pub const RET: u16 = 0x6;
pub const GET: u16 = 0x7;
pub const SET: u16 = 0x8;

pub const IF_: u16 = 0xB;
pub const LPS: u16 = 0xC;
pub const NXT: u16 = 0xD;
pub const BRK: u16 = 0xE;
pub const END: u16 = 0xF;
